<?php
class widgetUsersContent extends cmsWidget {
	
    public $is_cacheable = false;

    public function run(){
	
		$hidden_empty      = $this->getOption('hidden_empty', 'hidden');
        $text_empty     = $this->getOption('text_empty', '');
		$show_avatar     = $this->getOption('show_avatar', false);
		$text_avatar     = $this->getOption('text_avatar', '');
		
		$user = cmsUser::getInstance();
		if (!$user->is_logged)   { return false; }

		$content = cmsCore::getController('content');
        $content->model->setTablePrefix(cmsModel::DEFAULT_TABLE_PREFIX);
		
		$content_counts = $content->model->getUserContentCounts($user->id);
		
		if (empty($content_counts) && $hidden_empty == 'hidden')   { return false; }

        return array(
            'user'        => $user,
			'content_counts'  => $content_counts,
			'text_empty' => $text_empty,
			'show_avatar' => $show_avatar,
			'text_avatar' => $text_avatar
        );

    }

}
